#!/usr/bin/env node
import { fileURLToPath } from "url";
import { dirname, join } from "path";
import fs from "fs-extra";

const __filename = fileURLToPath(import.meta.url);
const __dirname = dirname(__filename);

const targetDir = process.cwd();
const templateDir = join(__dirname, "../template");

console.log("Scaffolding base project...");

fs.copy(templateDir, targetDir, { overwrite: false })
  .then(() => {
    console.log("✔️ Project setup complete!");
    console.log("👉 Run `npm install` to install dependencies.");
  })
  .catch((err) => {
    console.error("❌ Error copying files:", err);
  });
